package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCardSpendFrom {

    // 0：C端小程序扫一扫, 1：POS支付

    C(0, "小程序支付"),
    POS(1, "POS支付")
    ;

    public static EnumCardSpendFrom getEnum(Integer code) {
        for (EnumCardSpendFrom value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCardSpendFrom(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
